#include "example_main.h"

int example_genlight() {
    int result = QR_RESULT_ERR;

    uint8_t encrypted_result[QR_DATA_STRUCT_LEN_ASCII + 1];
    encrypted_result[QR_DATA_STRUCT_LEN_ASCII] = 0;

    struct qr_context *ctx = qr_new_default_ctx();

    if (ctx != NULL)
    {
        result = qr_GenLightConf(ctx, QR_LIGHT_AUTO_BY_ILLUMINANCE, 300, QR_TARGET_AUTO, encrypted_result);
        qr_delete_ctx(ctx);
    }

    if (result == QR_RESULT_OK)
    {
        printf("encrypted light config: %s\n", encrypted_result);
    }
    else
    {
        printf("failed to encrypt light config\n");
    }
    
    return result;
}