#include "example_main.h"

int example_gen4()
{
    int result = QR_RESULT_ERR;

    uint8_t encrypted_result[QR_DATA_STRUCT_LEN_ASCII + 1];
    encrypted_result[QR_DATA_STRUCT_LEN_ASCII] = 0;

    struct qr_context *ctx = qr_new_default_ctx();

    if (ctx != NULL)
    {
        result = qr_GenId4(ctx, 0x12345678, encrypted_result);
        qr_delete_ctx(ctx);
    }

    if (result == QR_RESULT_OK)
    {
        printf("encrypted with default key, id4: 0x12345678: %s\n", encrypted_result);
    }
    else
    {
        printf("failed to encrypt id4\n");
    }
    
    return result;
}